with CustomersWithRowNumber as
(
	select row_number() over (partition by CustomerID order by (select null)) rn
	from tempdb.dbo.Selection4 s
)
delete CustomersWithRowNumber
where rn > 1;

go
-- Validate no duplicates remain
select CustomerID
from tempdb.dbo.Selection4
group by CustomerID
having count(*) > 1;

select count(*) NbrRows
from tempdb.dbo.Selection4;
-- 285977
