use Admin;
go

select MappingId, OriginalBackupId, ServerName, DatabaseName, BackupType, LocalFileName,
	SharedFileName, FileTime, FileSize, BackupStartDate, BackupEndDate, FirstLSN,
	LastLSN, DifferentialLSN, ErrorCount, CollectionTime
from dbo.BackupLsnMapping
order by MappingId;

select distinct DatabaseName
from dbo.BackupLsnMapping
order by DatabaseName;

select DatabaseName,
       SharedFileName,
	   RestoreSequence
from dbo.fnBackupFilesForRestore('2022-08-01 17:09:30', 1)
where DatabaseName = 'SqlSaturday'
order by RestoreSequence;

select DatabaseName,
       SharedFileName,
	   RestoreSequence
from dbo.fnBackupFilesForRestore('2022-08-01 17:09:30', 0)
where DatabaseName = 'SqlSaturday'
order by RestoreSequence;

select DatabaseName,
       SharedFileName,
	   RestoreSequence
from dbo.fnBackupFilesForRestore('2022-08-01 17:09:30', 1)
where DatabaseName in ('Personal', 'SqlSaturday')
order by DatabaseName, RestoreSequence;
