drop table if exists Admin.dbo.NumberString;
go
create table Admin.dbo.NumberString
(
	NumberList nvarchar(max)
);
go
drop table if exists Admin.dbo.NumberStringHelper;
go
create table Admin.dbo.NumberStringHelper
(
	StartValue int,
	NumberList nvarchar(max)
);
go

declare @startValue int = 1;
while @startValue < 1000000
begin
	declare @testString nvarchar(max) = null;

	select @testString = isnull(@testString + ',', '') +
		cast(n.n + @startValue - 1 as nvarchar(20))
	from Admin.dbo.fnGetNums(1000) n;

	insert Admin.dbo.NumberStringHelper (StartValue, NumberList)
	values (@startValue, @testString);

	select @startValue += 1000;
end
go

declare @testString nvarchar(max) = null;

select @testString = isnull(@testString + ',', '') + nsh.NumberList
from Admin.dbo.NumberStringHelper nsh
order by nsh.StartValue;

insert Admin.dbo.NumberString (NumberList) values (@testString);
go
