delete s
from tempdb.dbo.Selection2 s
inner join
(
	select CustomerID,
		min(ID) as MinID
	from tempdb.dbo.Selection2 s2
	group by s2.CustomerID
	having count(*) > 1
) dups on s.CustomerID = dups.CustomerID
where s.ID != dups.MinID;

go
-- Validate no duplicates remain
select CustomerID
from tempdb.dbo.Selection2
group by CustomerID
having count(*) > 1;

select count(*) NbrRows
from tempdb.dbo.Selection2;
-- 285977