use Admin;
go

if exists (select * from sys.objects o inner join sys.schemas s on s.schema_id = o.schema_id
	where o.type = 'IF' and s.name = 'dbo' and o.name = 'fnGetNums')
begin
	drop function dbo.fnGetNums;
end
go

create function dbo.fnGetNums(@upperLimit int)
returns table
as
return
with	l0 as (select 1 v union all select 1),
		l1 as (select a.v from l0 a, l0),
		l2 as (select a.v from l1 a, l1),
		l3 as (select a.v from l2 a, l2),
		l4 as (select a.v from l3 a, l3),
		l5 as (select a.v from l4 a, l4),
		Nums as (select row_number() over (order by (select null)) n from l5)
select top (@upperLimit) Nums.n
from Nums;
go

select *
from dbo.fnGetNums(25);
