$connectionString = "Data Source=mortimer\sql2012;Initial Catalog=Admin;Integrated Security=true;";
$connection = New-Object System.Data.SqlClient.SqlConnection($connectionString);
$connection.Open();

$selectSql = "select MappingId, LocalFileName from dbo.BackupLsnMapping where FileTime is null and ErrorCount = 0;";
$command = new-object System.Data.SqlClient.SqlCommand($selectSql, $connection);
$adapter = new-object System.Data.SqlClient.SqlDataAdapter($command);
$table = new-object System.Data.DataTable;
$adapter.Fill($table);
$adapter.Dispose();
$command.Dispose();

$updateSql = "update dbo.BackupLsnMapping set FileTime = @FileTime, FileSize = @FileSize where MappingId = @MappingId;";

foreach($row in $table.Rows)
{
	$localName = $row["LocalFileName"];
	$mappingId = $row["MappingId"];
	
	$backup = new-object System.IO.FileInfo($localName);

    if ($backup.Exists)
    {
	    $command = New-Object System.Data.SqlClient.SqlCommand($updateSql, $connection);
	    $parameter = New-Object System.Data.SqlClient.SqlParameter("@FileTime", $backup.LastWriteTime);
	    $parameter.SqlDbType = [System.Data.SqlDbType]::DateTime2;
	    $result = $command.Parameters.Add($parameter);
	    $parameter = New-Object System.Data.SqlClient.SqlParameter("@FileSize", $backup.Length);
	    $result = $command.Parameters.Add($parameter);
	    $parameter = New-Object System.Data.SqlClient.SqlParameter("@MappingId", $mappingId);
	    $result = $command.Parameters.Add($parameter);
	    $result = $command.ExecuteNonQuery();
	    $command.Dispose();
    }
}

$connection.Close();
